Bug 661154 (votca-csg) - Review Request: votca-csg - VOTCA coarse graining engine
Summary: Review Request: votca-csg - VOTCA coarse graining engine
Keywords:
Status: CLOSED ERRATA
Alias: votca-csg
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 659972 (view as bug list)
Depends On: votca-tools
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-07 22:17 UTC by Susi Lehtola
Modified: 2010-12-25 00:27 UTC (History)
3 users (show)

Fixed In Version: votca-csg-1.0.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 00:27:18 UTC
dominik: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2010-12-07 22:17:51 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/votca-csg.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/votca-csg-1.0.1-1.fc14.src.rpm

Upstream URL:
http://www.votca.org

Description:
Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is
a package intended to reduce the amount of routine work when doing systematic
coarse-graining of various systems. The core is written in C++.


rpmlint output:
votca-csg.src: W: spelling-error Summary(en_US) graining -> gaining, raining, training
votca-csg.src: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-csg.src: W: invalid-url Source0: http://votca.googlecode.com/files/votca-csg-1.0.1.tar.gz HTTP Error 404: Not Found
votca-csg.x86_64: W: spelling-error Summary(en_US) graining -> gaining, raining, training
votca-csg.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-csg.x86_64: W: no-manual-page-for-binary multi_g_density
votca-csg.x86_64: W: no-manual-page-for-binary csg_dump
votca-csg.x86_64: W: no-manual-page-for-binary multi_g_rdf
votca-csg.x86_64: W: no-manual-page-for-binary csg_gmxtopol
votca-csg.x86_64: W: no-manual-page-for-binary csg_fmatch
votca-csg.x86_64: W: no-manual-page-for-binary csg_part_dist
votca-csg.x86_64: W: no-manual-page-for-binary csg_map
votca-csg.x86_64: W: no-manual-page-for-binary csg_stat
votca-csg.x86_64: W: no-manual-page-for-binary csg_property
votca-csg.x86_64: W: no-manual-page-for-binary csg_resample
votca-csg.x86_64: W: no-manual-page-for-binary csg_boltzmann
votca-csg.x86_64: W: no-manual-page-for-binary csg_inverse
votca-csg.x86_64: W: no-manual-page-for-binary csg_call
votca-csg.x86_64: W: no-manual-page-for-binary csg_imcrepack
votca-csg-bash.noarch: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-csg-bash.noarch: W: spelling-error %description -l en_US perl -> Perl, peel, perk
votca-csg-bash.noarch: W: no-documentation
votca-csg-bash.noarch: W: non-conffile-in-etc /etc/bash_completion.d/votca
votca-csg-common.noarch: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-csg-common.noarch: W: no-documentation
votca-csg-devel.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
votca-csg-devel.x86_64: W: no-documentation
votca-csg-libs.x86_64: W: spelling-error Summary(en_US) graining -> gaining, raining, training
votca-csg-libs.x86_64: W: spelling-error %description -l en_US graining -> gaining, raining, training
7 packages and 0 specfiles checked; 0 errors, 29 warnings.

These are all OK.

Comment 1 Susi Lehtola 2010-12-07 22:22:29 UTC
*** Bug 659972 has been marked as a duplicate of this bug. ***

Comment 2 Christoph Junghans 2010-12-08 13:06:03 UTC
Notes from my side:
- "coarse-graining" is spelled correctly.
- we have man pages in the next release.
- there is doxygen documentation through 'make html'

Comment 3 Susi Lehtola 2010-12-08 13:23:06 UTC
(In reply to comment #2)
> Notes from my side:
> - "coarse-graining" is spelled correctly.

Spellings are made coherent in the next revision.

> - there is doxygen documentation through 'make html'

Doesn't seem so:

Making html in doc
make[2]: Entering directory `/builddir/build/BUILD/votca-csg-1.0.1/share/doc'
make[2]: Leaving directory `/builddir/build/BUILD/votca-csg-1.0.1/share/doc'
make[2]: *** No rule to make target `Doxyfile', needed by `html'.  Stop.

Comment 4 Christoph Junghans 2010-12-08 13:30:29 UTC
(In reply to comment #3)
> > - there is doxygen documentation through 'make html'
> Doesn't seem so:
> Making html in doc
> make[2]: Entering directory `/builddir/build/BUILD/votca-csg-1.0.1/share/doc'
> make[2]: Leaving directory `/builddir/build/BUILD/votca-csg-1.0.1/share/doc'
> make[2]: *** No rule to make target `Doxyfile', needed by `html'.  Stop.
Ah, I see. The Doxygen file is missing in the dist tarball, I fixed it for the next release.

Comment 5 Dominik 'Rathann' Mierzejewski 2010-12-14 10:58:36 UTC
Source matches upstream:

$ md5sum votca-csg-1.0.1.tar.gz*
855fec6510665d45d81c4987f62b95b2  votca-csg-1.0.1.tar.gz
855fec6510665d45d81c4987f62b95b2  votca-csg-1.0.1.tar.gz.1

Comments:

1. Typo:
%package devel
...
Requires:       votka-tools-devel

./share/template/template.cc is missing licencing information

2. Timestamps are not preserved in make install.

Otherwise the package looks fine.

Comment 6 Dominik 'Rathann' Mierzejewski 2010-12-14 11:00:27 UTC
Ahem, it should be:

2 ./share/template/template.cc is missing licencing information.

3. Timestamps are not preserved in make install.

of course. :)

Comment 7 Christoph Junghans 2010-12-14 11:25:21 UTC
(In reply to comment #6)
> 2 ./share/template/template.cc is missing licencing information.
I added licensing information:
<http://code.google.com/p/votca/source/detail?r=99793a446a09f4e2f78bf05cd015fa362a162b70&repo=csg>

Should it also be added to the Makefile in ./share/template/ ?

Comment 8 Susi Lehtola 2010-12-14 12:51:02 UTC
Fixed 1 and 3. 2 will be fixed when upstream (Christoph) makes a new release.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/votca-csg.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/votca-csg-1.0.1-2.fc14.src.rpm

Comment 9 Dominik 'Rathann' Mierzejewski 2010-12-14 14:06:40 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > 2 ./share/template/template.cc is missing licencing information.
> I added licensing information:

Good, thanks.

> Should it also be added to the Makefile in ./share/template/ ?

I don't think that's necessary.

Comment 10 Dominik 'Rathann' Mierzejewski 2010-12-14 14:10:19 UTC
(In reply to comment #8)
> Fixed 1 and 3. 2 will be fixed when upstream (Christoph) makes a new release.
> 
> http://theory.physics.helsinki.fi/~jzlehtol/rpms/votca-csg.spec
> http://theory.physics.helsinki.fi/~jzlehtol/rpms/votca-csg-1.0.1-2.fc14.src.rpm

Perfect. The packages is now APPROVED.

Comment 11 Susi Lehtola 2010-12-14 16:42:09 UTC
Thanks a lot for the review!

New Package SCM Request
=======================
Package Name: votca-csg
Short Description: VOTCA coarse-graining engine
Owners: jussilehtola
Branches: F-13 F-14
InitialCC:

Comment 12 Jason Tibbitts 2010-12-14 16:50:55 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2010-12-15 10:57:32 UTC
votca-csg-1.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/votca-csg-1.0.1-2.fc14

Comment 14 Fedora Update System 2010-12-15 10:57:35 UTC
votca-csg-1.0.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/votca-csg-1.0.1-2.fc13

Comment 15 Fedora Update System 2010-12-15 11:00:19 UTC
votca-csg-1.0.1-2.fc13,votca-tools-1.0.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/votca-csg-1.0.1-2.fc13,votca-tools-1.0.1-2.fc13

Comment 16 Fedora Update System 2010-12-15 11:01:21 UTC
votca-csg-1.0.1-2.fc14,votca-tools-1.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/votca-csg-1.0.1-2.fc14,votca-tools-1.0.1-2.fc14

Comment 17 Fedora Update System 2010-12-17 08:20:18 UTC
votca-csg-1.0.1-2.fc14, votca-tools-1.0.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update votca-csg votca-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/votca-csg-1.0.1-2.fc14,votca-tools-1.0.1-2.fc14

Comment 18 Fedora Update System 2010-12-25 00:27:06 UTC
votca-csg-1.0.1-2.fc14, votca-tools-1.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-12-25 00:27:48 UTC
votca-csg-1.0.1-2.fc13, votca-tools-1.0.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.